# DocumentScannerConfiguration class

Configuration for the document scanner.

## Constructors

DocumentScannerConfiguration.new({DocumentScannerEngineMode engineMode = DocumentScannerEngineMode.ML, DocumentScannerParameters? parameters})
DocumentScannerConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

engineMode ↔ DocumentScannerEngineMode
  The engine to use for document scanning.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
parameters ↔ DocumentScannerParameters
  Initial parameters for the document scanner.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited